package ink.wgink.module.activiti.listener.task;

import org.activiti.engine.delegate.DelegateExecution;
import org.activiti.engine.delegate.DelegateTask;
import org.activiti.engine.delegate.JavaDelegate;
import org.activiti.engine.delegate.TaskListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * @ClassName: OaUserTaskDeleteListener
 * @Description: OA用户任务节点删除监听器
 * @Author: wanggeng
 * @Date: 2022/3/28 10:31
 * @Version: 1.0
 */
@Component
public class OaUserTaskDeleteListener implements TaskListener, JavaDelegate {

    private static final Logger LOG = LoggerFactory.getLogger(OaUserTaskDeleteListener.class);

    @Override
    public void notify(DelegateTask delegateTask) {
        LOG.debug("userTask delete");
    }

    @Override
    public void execute(DelegateExecution execution) {

    }
}
