package ink.wgink.module.activiti.pojo.dtos.oa;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: OaTaskDTO
 * @Description: oa任务
 * @Author: wanggeng
 * @Date: 2022/3/23 09:33
 * @Version: 1.0
 */
@ApiModel
public class OaTaskDTO {

    @ApiModelProperty(name = "taskId", value = "任务ID")
    private String taskId;
    @ApiModelProperty(name = "taskName", value = "任务名称")
    private String taskName;
    @ApiModelProperty(name = "taskDescription", value = "任务描述")
    private String taskDescription;
    @ApiModelProperty(name = "formCode", value = "表单编码")
    private String formCode;
    @ApiModelProperty(name = "formVersion", value = "表单版本")
    private Integer formVersion;
    @ApiModelProperty(name = "getFormKey", value = "动态表单ID")
    private String getFormKey;
    @ApiModelProperty(name = "reportUid", value = "上报表单UID")
    private String reportUid;
    @ApiModelProperty(name = "reportTitle", value = "上报表单标题")
    private String reportTitle;
    @ApiModelProperty(name = "owner", value = "所有者")
    private String owner;
    @ApiModelProperty(name = "taskDefinitionKey", value = "任务定义Key")
    private String taskDefinitionKey;
    @ApiModelProperty(name = "processDefinitionId", value = "流程定义ID")
    private String processDefinitionId;

    public String getTaskId() {
        return taskId == null ? "" : taskId.trim();
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName == null ? "" : taskName.trim();
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskDescription() {
        return taskDescription == null ? "" : taskDescription.trim();
    }

    public void setTaskDescription(String taskDescription) {
        this.taskDescription = taskDescription;
    }

    public String getFormCode() {
        return formCode == null ? "" : formCode.trim();
    }

    public void setFormCode(String formCode) {
        this.formCode = formCode;
    }

    public Integer getFormVersion() {
        return formVersion == null ? 0 : formVersion;
    }

    public void setFormVersion(Integer formVersion) {
        this.formVersion = formVersion;
    }

    public String getGetFormKey() {
        return getFormKey == null ? "" : getFormKey.trim();
    }

    public void setGetFormKey(String getFormKey) {
        this.getFormKey = getFormKey;
    }

    public String getReportUid() {
        return reportUid == null ? "" : reportUid.trim();
    }

    public void setReportUid(String reportUid) {
        this.reportUid = reportUid;
    }

    public String getReportTitle() {
        return reportTitle == null ? "" : reportTitle.trim();
    }

    public void setReportTitle(String reportTitle) {
        this.reportTitle = reportTitle;
    }

    public String getOwner() {
        return owner == null ? "" : owner.trim();
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getTaskDefinitionKey() {
        return taskDefinitionKey == null ? "" : taskDefinitionKey.trim();
    }

    public void setTaskDefinitionKey(String taskDefinitionKey) {
        this.taskDefinitionKey = taskDefinitionKey;
    }

    public String getProcessDefinitionId() {
        return processDefinitionId == null ? "" : processDefinitionId.trim();
    }

    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }
}
