package ink.wgink.module.form.service.report;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.util.Map;

/**
 * @ClassName: IFormReportService
 * @Description: 表单上报
 * @Author: wanggeng
 * @Date: 2022/3/10 7:33 PM
 * @Version: 1.0
 */
public interface IFormReportRouteService {

    /**
     * 新增页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     */
    void save(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse);

    /**
     * 新增页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     */
    void save(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Map<String, Object> modal);

    /**
     * 修改页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     * @param modal
     */
    void update(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse);

    /**
     * 修改页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     * @param modal
     */
    void update(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Map<String, Object> modal);

    /**
     * 详情页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     */
    void show(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse);

    /**
     * 详情页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     * @param modal
     */
    void show(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Map<String, Object> modal);

    /**
     * APP新增页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     */
    void appSave(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse);

    /**
     * APP新增页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     * @param modal
     */
    void appSave(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Map<String, Object> modal);

    /**
     * APP修改页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     */
    void appUpdate(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse);

    /**
     * APP修改页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     * @param modal
     */
    void appUpdate(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Map<String, Object> modal);

    /**
     * APP详情页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     */
    void appShow(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse);

    /**
     * APP详情页面
     *
     * @param formCode
     * @param formVersion
     * @param httpSession
     * @param httpServletRequest
     * @param httpServletResponse
     * @param modal
     */
    void appShow(String formCode, Integer formVersion, HttpSession httpSession, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, Map<String, Object> modal);
}
